Page MenuHomePhabricator

Deploy fixcopyright.wikimedia.org
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2018, 2:40 AM

Change 456779 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/tools/release@master] make-wmf-branch: Add SkinPerPage

https://gerrit.wikimedia.org/r/456779

Change 456779 merged by jenkins-bot:
[mediawiki/tools/release@master] make-wmf-branch: Add fixcopyright.wm.o extensions and skin

https://gerrit.wikimedia.org/r/456779

Change 458065 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@wmf/1.32.0-wmf.19] Add submodules for fixcopyright.wm.o

https://gerrit.wikimedia.org/r/458065

Change 458068 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@wmf/1.32.0-wmf.20] Add submodules for fixcopyright.wm.o

https://gerrit.wikimedia.org/r/458068

Change 458070 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[operations/mediawiki-config@master] Enable EUCopyrightCampaign extensions and SkinPerPage for fixcopyrightwiki

https://gerrit.wikimedia.org/r/458070

Change 458071 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[operations/mediawiki-config@master] Enable $wgULSLanguageDetection for fixcopyrightwiki

https://gerrit.wikimedia.org/r/458071

Krinkle added a subscriber: Krinkle.Sep 5 2018, 1:36 AM

@CCicalese_WMF When checking https://fixcopyright.wikimedia.org/wiki/Main_Page I noticed the title bar said "MediaWiki". The page contents and url aren't ready yet (I'm aware), but I suspect this titlebar value means that wgSitename was never set. Might want to change that to something like "Fix Copyright", or "Wikimedia Foundation", or some such.

Thanks for pointing that out, @Krinkle !

Change 458090 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[operations/mediawiki-config@master] Set $wgSitename for fixcopyrightwiki

https://gerrit.wikimedia.org/r/458090

Krinkle added a comment.EditedSep 5 2018, 2:12 AM

@CCicalese_WMF Two other issues:

  • The first PDF link to Commons on the main page isn't using HTTPS (the others do).
  • The PDF files are currently unprotected.

I'll fix this last point by adding them to an auto-protect gallery on Commons.

EDIT: Done, see https://commons.wikimedia.org/wiki/Commons:Auto-protected_files/misc/fixcopyright.

Thanks for noticing that. The content is a placeholder until the site goes live. It was copied from https://meta.wikimedia.org/wiki/EU_policy/EU_Copyright_Reform_2018, though, so I fixed the https on both pages. Thanks for protecting the files.

Change 458065 merged by Legoktm:
[mediawiki/core@wmf/1.32.0-wmf.19] Add submodules for fixcopyright.wm.o

https://gerrit.wikimedia.org/r/458065

Change 458068 merged by Legoktm:
[mediawiki/core@wmf/1.32.0-wmf.20] Add submodules for fixcopyright.wm.o

https://gerrit.wikimedia.org/r/458068

Change 458070 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable EUCopyrightCampaign extensions and SkinPerPage for fixcopyrightwiki

https://gerrit.wikimedia.org/r/458070

Change 458071 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable $wgULSLanguageDetection for fixcopyrightwiki

https://gerrit.wikimedia.org/r/458071

Change 458090 merged by jenkins-bot:
[operations/mediawiki-config@master] Set $wgSitename for fixcopyrightwiki

https://gerrit.wikimedia.org/r/458090

The extension (and skin) needs a dedicated component in Phabricator for bug reports about the code itself.

Change 458628 had a related patch set uploaded (by Cicalese; owner: Cicalese):
[mediawiki/extensions/EUCopyrightCampaign@master] Update MEPs.

https://gerrit.wikimedia.org/r/458628

Change 458628 merged by jenkins-bot:
[mediawiki/extensions/EUCopyrightCampaign@master] Update MEPs.

https://gerrit.wikimedia.org/r/458628

Change 458851 had a related patch set uploaded (by Legoktm; owner: Cicalese):
[mediawiki/extensions/EUCopyrightCampaign@wmf/1.32.0-wmf.20] Update MEPs.

https://gerrit.wikimedia.org/r/458851

Change 458851 merged by jenkins-bot:
[mediawiki/extensions/EUCopyrightCampaign@wmf/1.32.0-wmf.20] Update MEPs.

https://gerrit.wikimedia.org/r/458851

Krinkle removed a subscriber: Krinkle.Sep 7 2018, 7:13 PM
CCicalese_WMF closed this task as Resolved.Sep 13 2018, 4:57 PM
CCicalese_WMF claimed this task.

The campaign has concluded, but the wiki will remain deployed for some time as a static information page.

Change 461127 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/tools/release@master] make-wmf-branch: fix typo in EUCopyrightCampaign

https://gerrit.wikimedia.org/r/461127

Change 461127 merged by jenkins-bot:
[mediawiki/tools/release@master] make-wmf-branch: fix typo in EUCopyrightCampaign

https://gerrit.wikimedia.org/r/461127